## gimpui gimpui |

## Functions

void | gimp_ui_init ()
GdkWindow * | gimp_ui_get_display_window ()
GdkWindow * | gimp_ui_get_progress_window ()
void | gimp_window_set_transient ()
void | gimp_window_set_transient_for_display ()

## Description

## Functions

### gimp_ui_init ()

    void
    gimp_ui_init (const gchar *prog_name,
                  gboolean preview);

### gimp_ui_get_display_window ()

    GdkWindow *
    gimp_ui_get_display_window (guint32 gdisp_ID);

Since: GIMP 2.4

### gimp_ui_get_progress_window ()

    GdkWindow *
    gimp_ui_get_progress_window (void);

Since: GIMP 2.4

### gimp_window_set_transient ()

    void
    gimp_window_set_transient (GtkWindow *window);

Since: GIMP 2.4

### gimp_window_set_transient_for_display ()

    void
    gimp_window_set_transient_for_display (GtkWindow *window,
                                           guint32 gdisp_ID);

Since: GIMP 2.4

## Types and Values